#pragma once

#include <string>

class ConfigurationFile
{
protected:
	std::string _strFileName;

	std::string _strORBdefaultInitRef;
	std::string _strExecutionName;
	std::string _strSessionName;
	std::string _strORBlistenEndpoints;

	double _dblLtpLatitude;
	double _dblLtpLongitude;
	double _dblLtpAzimuth;
	double _dblLtpXFalseOrigin;
	double _dblLtpYFalseOrigin;
	double _dblLtpHeightOffset;


public:
	ConfigurationFile(void);
	~ConfigurationFile(void);

	std::string GetConfigurationFileName();
	void SetConfigurationFileName(std::string sFileName);

	void ReadFile();

	std::string GetORBdefaultInitRef();
	std::string GetExecutionName();
	std::string GetSessionName();
	std::string GetORBlistenEndpoints();

	double GetLocalTangentPlaneLatitude();  
	double GetLocalTangentPlaneLongitude();  
	double GetLocalTangentPlaneAzimuth();  
	double GetLocalTangentPlaneXFalseOrigin();  
	double GetLocalTangentPlaneYFalseOrigin();  
	double GetLocalTangentPlaneHeightOffset();  

};
