/////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file RTTC/EnvironmentalEffects/DisturbanceHistoryMessage/BasicImpl/SubscriptionInfoImpl.cpp
 * \version 5.2.1
 *
 * \brief Contains the definition of methods of
 * RTTC::EnvironmentalEffects::DisturbanceHistoryMessage::BasicImpl::SubscriptionInfoImpl.
 *
 * This file contains the definition of the methods of the
 * RTTC::EnvironmentalEffects::DisturbanceHistoryMessage::BasicImpl::SubscriptionInfoImpl class.
 */

#include "SubscriptionInfoImpl.h"
#include "CallbackInfo.h" // To give smart pointer complete type for deletion

#include "MessageCallbackFactoryImpl.h"

///////////////////////////////////////////////////////////////////////////////
RTTC::EnvironmentalEffects::DisturbanceHistoryMessage::BasicImpl::
SubscriptionInfoImpl::
SubscriptionInfoImpl( CallbackInfoPtr const & pCallbackInfo )
:
  RTTC::EnvironmentalEffects::DisturbanceHistoryMessage::SubscriptionInfo(
    MessageCallbackFactoryPtr(
      new MessageCallbackFactoryImpl( pCallbackInfo ) ) )
{
  // Nothing is needed in the ctor body for basic the implementation.
}

///////////////////////////////////////////////////////////////////////////////
RTTC::EnvironmentalEffects::DisturbanceHistoryMessage::BasicImpl::
SubscriptionInfoImpl::
~SubscriptionInfoImpl()
{
  // Nothing is needed in the dtor for basic the implementation.
}
