/////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file RTTC/EnvironmentalEffects/TerrainTypeChangeMessage/BasicImpl/SubscriptionInfoImpl.h
 * \version 5.2.1
 *
 * \brief Contains the declaration of and documentation for
 * RTTC::EnvironmentalEffects::TerrainTypeChangeMessage::BasicImpl::SubscriptionInfoImpl.
 *
 * This file contains the declaration of and documentation for the
 * RTTC::EnvironmentalEffects::TerrainTypeChangeMessage::BasicImpl::SubscriptionInfoImpl class.
 */

#ifndef RTTC_EnvironmentalEffects_TerrainTypeChangeMessage_BasicImpl_SubscriptionInfoImpl_h
#define RTTC_EnvironmentalEffects_TerrainTypeChangeMessage_BasicImpl_SubscriptionInfoImpl_h

#include <DCT/System/config.h>
#include "basicImpl_RTTC_EnvironmentalEffects_v1_EXPORT.h"
#include <RTTC/EnvironmentalEffects/TerrainTypeChangeMessage/SubscriptionInfo.h>
#include "CallbackInfo.h"

namespace RTTC
{
  namespace EnvironmentalEffects
  {
    namespace TerrainTypeChangeMessage
    {
      namespace BasicImpl
      {
        /*!\class SubscriptionInfoImpl SubscriptionInfoImpl.h \
           RTTC/EnvironmentalEffects/TerrainTypeChangeMessage/BasicImpl/SubscriptionInfoImpl.h
         *
         * \brief SubscriptionInfo implementation.
         *
         * The default behavior for this implementation should be
         * sufficient for most applications.
         */
        class basicImpl_RTTC_EnvironmentalEffects_v1_EXPORT SubscriptionInfoImpl
          : public RTTC::EnvironmentalEffects::TerrainTypeChangeMessage::SubscriptionInfo
        {
        public:
          SubscriptionInfoImpl( CallbackInfoPtr const & );

          virtual
          ~SubscriptionInfoImpl();

        private:
          //! Default copy construction is disallowed.
          SubscriptionInfoImpl(
            SubscriptionInfoImpl const & rhs );
          //! Default copy assignment is disallowed.
          SubscriptionInfoImpl & operator=(
            SubscriptionInfoImpl const & rhs );

        };
      } // End of namespace BasicImpl
    } // End of namespace TerrainTypeChangeMessage
  } // End of namespace EnvironmentalEffects
} // End of namespace RTTC

#endif // ifndef RTTC_EnvironmentalEffects_TerrainTypeChangeMessage_BasicImpl_SubscriptionInfoImpl_h
