//////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file TENA/Platform/DisturbanceServer/DestructionCallbackFactoryImpl.cpp
 * \version 5.2.1
 *
 * \brief Contains the definition of methods of
 * TENA::Platform::DisturbanceServer::DestructionCallbackFactoryImpl.
 *
 * This file contains the definition of the methods of the
 * TENA::Platform::DisturbanceServer::DestructionCallbackFactoryImpl class.
 */

#include "DestructionCallbackFactoryImpl.h"

////////////////////////////////////////////////////////////////////////////////
TENA::Platform::DisturbanceServer::
DestructionCallbackFactoryImpl::
~DestructionCallbackFactoryImpl()
{
  // Basic implementation has no behavior required in callback destructor
}

////////////////////////////////////////////////////////////////////////////////
TENA::Platform::DisturbanceServer::
DestructionCallbackFactoryImpl::
DestructionCallbackFactoryImpl( CallbackInfoPtr const & pCallbackInfo )
  :
  _pCallbackInfo( pCallbackInfo )
{
  // Generally no behavior in a factory constructor
}

////////////////////////////////////////////////////////////////////////////////
std::auto_ptr< TENA::Middleware::Callback::Callback >
TENA::Platform::DisturbanceServer::
DestructionCallbackFactoryImpl::
create( TENA::Platform::ProxyPtr const & pProxy )
{
  // For the basic implementation, all the callbacks access a list
  // of SDO, which is kept updated as SDO's are discovered and destroyed

  return std::auto_ptr< TENA::Middleware::Callback::Callback >(
    new TENA::Platform::DisturbanceServer::DestructionCallbackImpl(
      pProxy,
      _pCallbackInfo ) );
}
