//////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file TENA/Platform/DisturbanceServer/PublicationInfoImpl.cpp
 * \version 5.2.1
 *
 * \brief Contains the definition of methods of
 * TENA::Platform::DisturbanceServer::PublicationInfoImpl.
 *
 * This file contains the definition of the methods of the
 * TENA::Platform::DisturbanceServer::PublicationInfoImpl class.
 */

#include "PublicationInfoImpl.h"

#include <TENA/Platform/RemoteMethodsFactoryInterface.h>

// PublicationInfoImpl should not depend on the PublicationInfoImpl for
// inherited classes, but the current PublicationInfo implementation
// has this dependence. This include generates "no-op" PublicationInfo impls
// that can be used locally instead of requiring an uneeded dependency.
#include "LocalPublicationInfoImpl.inl"
///////////////////////////////////////////////////////////////////////////////
TENA::Platform::DisturbanceServer::
PublicationInfoImpl::
PublicationInfoImpl()
:
  PublicationInfo(
    // No methods are defined, so no user-defined factory needed for this type.
    TENA::Platform::RemoteMethodsFactoryInterfacePtr(
      new TENA::Platform::RemoteMethodsFactoryInterface ) )
{
}

///////////////////////////////////////////////////////////////////////////////
TENA::Platform::DisturbanceServer::
PublicationInfoImpl::
~PublicationInfoImpl()
{
}
