//////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file TENA/Platform/DisturbanceServer/StateChangeCallbackFactoryImpl.cpp
 * \version 5.2.1
 *
 * \brief Contains the definition of methods of
 * TENA::Platform::DisturbanceServer::StateChangeCallbackFactoryImpl.
 *
 * This file contains the definition of the methods of the
 * TENA::Platform::DisturbanceServer::StateChangeCallbackFactoryImpl class.
 */

#include "StateChangeCallbackFactoryImpl.h"
#include <TENA/Platform/Proxy.h>

////////////////////////////////////////////////////////////////////////////////
TENA::Platform::DisturbanceServer::
StateChangeCallbackFactoryImpl::
~StateChangeCallbackFactoryImpl()
{
  // Basic implementation has no behavior required in callback destructor
}

////////////////////////////////////////////////////////////////////////////////
TENA::Platform::DisturbanceServer::
StateChangeCallbackFactoryImpl::
StateChangeCallbackFactoryImpl( CallbackInfoPtr const & pCallbackInfo)
  :
  _pCallbackInfo( pCallbackInfo )
{
  // Generally no behavior in a factory constructor
}

////////////////////////////////////////////////////////////////////////////////
std::auto_ptr< TENA::Middleware::Callback::Callback >
TENA::Platform::DisturbanceServer::
StateChangeCallbackFactoryImpl::
create( TENA::Platform::ProxyPtr const & pProxy )
{
  // For the basic implementation, stateChange just uses the ProxyPtr to report state change
  // info using the output stream in the CallbackInfo

  return std::auto_ptr< TENA::Middleware::Callback::Callback >(
    new TENA::Platform::DisturbanceServer::StateChangeCallbackImpl(
      pProxy,
      _pCallbackInfo ) );
}
